# TulipaEnergyModel

[![Dev](https://img.shields.io/badge/docs-dev-blue.svg)](https://TulipaEnergy.github.io/TulipaEnergyModel.jl/dev/)
[![Test workflow status](https://github.com/TulipaEnergy/TulipaEnergyModel.jl/actions/workflows/Test.yml/badge.svg?branch=main)](https://github.com/TulipaEnergy/TulipaEnergyModel.jl/actions/workflows/Test.yml?query=branch%3Amain)
[![Lint workflow Status](https://github.com/TulipaEnergy/TulipaEnergyModel.jl/actions/workflows/Lint.yml/badge.svg?branch=main)](https://github.com/TulipaEnergy/TulipaEnergyModel.jl/actions/workflows/Lint.yml?query=branch%3Amain)
[![Docs workflow Status](https://github.com/TulipaEnergy/TulipaEnergyModel.jl/actions/workflows/Docs.yml/badge.svg?branch=main)](https://github.com/TulipaEnergy/TulipaEnergyModel.jl/actions/workflows/Docs.yml?query=branch%3Amain)
[![Coverage](https://codecov.io/gh/TulipaEnergy/TulipaEnergyModel.jl/branch/main/graph/badge.svg)](https://codecov.io/gh/TulipaEnergy/TulipaEnergyModel.jl)
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.8363262.svg)](https://doi.org/10.5281/zenodo.8363262)

This package provides an optimization model for the electricity market and its coupling with other energy sectors (e.g., hydrogen, heat, natural gas, etc.). The main objective is to determine the optimal investment and operation decisions for different types of assets (e.g., producers, consumers, conversions, storages, and transports).

## How to Cite

If you use TulipaEnergyModel.jl in your work, please cite using the format given in [CITATION.cff](https://github.com/TulipaEnergy/TulipaEnergyModel.jl/blob/main/CITATION.cff).

## Installation

```julia-pkg
pkg> add TulipaEnergyModel
```

See the [documentation](https://tulipaenergy.github.io/TulipaEnergyModel.jl/dev/) for details on the model and the package.

## Bug reports and discussions

If you think you found a bug, feel free to open an [issue](https://github.com/TulipaEnergy/TulipaEnergyModel.jl/issues).
Focused suggestions and requests can also be opened as issues. Before opening a pull request, please start an issue or a discussion on the topic.

If you want to ask a question unsuitable for a bug report, start a discussion [here](https://github.com/TulipaEnergy/TulipaEnergyModel.jl/discussions). This forum is for general discussion about the repository [TulipaEnergyModel](https://github.com/TulipaEnergy/TulipaEnergyModel.jl).

## Contribution

If you want to contribute to the package, please follow the guidelines in the [README.dev.md](https://github.com/TulipaEnergy/TulipaEnergyModel.jl/blob/main/README.dev.md) file.

## License

This content is released under the [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0) License.
