```@meta
CurrentModule = TulipaEnergyModel
```

# [TulipaEnergyModel.jl documentation](@id home)

[TulipaEnergyModel.jl](https://github.com/TulipaEnergy/TulipaEnergyModel.jl) is an optimization model for the electricity market and its coupling with other energy sectors (e.g., hydrogen, heat, natural gas, etc.). The optimization model determines the optimal investment and operation decisions for different types of assets (e.g., producers, consumers, conversion, storage, and transport). _TulipaEnergyModel.jl_ is developed in [Julia](https://julialang.org/) and depends on the [JuMP.jl](https://github.com/jump-dev/JuMP.jl) package.

## [License](@id license)

This content is released under the [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0) License.

## [Bug reports and discussions](@id bugs-and-discussions)

If you think you found a bug, feel free to open an [issue](https://github.com/TulipaEnergy/TulipaEnergyModel.jl/issues).
Focused suggestions and requests can also be opened as issues. Before opening a pull request, please start an issue or a discussion on the topic.

If you want to ask a question unsuitable for a bug report, start a discussion [here](https://github.com/TulipaEnergy/TulipaEnergyModel.jl/discussions). This forum is for general discussion about the repository [TulipaEnergyModel](https://github.com/TulipaEnergy/TulipaEnergyModel.jl).

## Contents

```@contents
Pages = ["index.md","api.md","how-to-use.md","mathematical-formulation.md","tutorial.md","reference.md"]
```
